%define module	Data-Stag
%define name	perl-%{module}
%define version 0.10
%define release %mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{module} module for perl
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/C/CM/CMUNGALL/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
Buildrequires:  perl-IO-String
Buildarch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module is for manipulating data as recursively nested tag/value
pairs (Structured TAGs or Simple Tree AGgreggates). These datastructures
can be represented as nested arrays, which have the advantage of being
native to perl.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc INSTALL README Changes
%{_bindir}/*
%{perl_vendorlib}/Data
%{_mandir}/*/*

%changelog
* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-2mdv2007.0
- Rebuild

* Mon Dec 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdk
- New release 0.10
- dropped patch 0 (fixed upstream)

* Thu Oct 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.09-4mdk
- Fix typo in package name (patch 0)

* Mon Oct 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.09-3mdk
- Fix BuildRequires
- %%mkrel

* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-2mdk 
- spec cleanup
- don't ship useless empty directories
- make est in %%check

* Thu May 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.09-1mdk
- 0.09

* Sat Feb 12 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.08-1mdk
- 0.08

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.06-2mdk
- fix buildrequires in a backward compatible way

* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.06-1mdk 
- new version

* Wed Apr 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.05-1mdk
- new version
- rpmbuildupdate aware
- macros
- make test

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.03-2mdk
- fixed dir ownership (distlint)

* Sun Jul 27 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.03-1mdk
- first mdk release
